Issue 113247

Summary: OOO330_m1: readlicense_oo build failure
Product: Build Tools Reporter: pavel
Component: codeAssignee: pavel
Status: CLOSED FIXED QA Contact: issues@tools <issues>
Severity: Trivial    
Priority: P3 CC: frank.thomas.peters, hans-joachim.lankenau, issues, oliver.bolte, rene
Version: OOO330m1   
Target Milestone: OOo 3.3   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description pavel 2010-07-19 14:28:14 UTC
=============
Building module readlicense_oo
=============

Entering /Volumes/EXTDisk/Build/BuildDir/ooo_OOO330_m1_src/readlicense_oo



Entering /Volumes/EXTDisk/Build/BuildDir/ooo_OOO330_m1_src/readlicense_oo/docs/readme

dmake:  /Volumes/EXTDisk/Build/BuildDir/ooo_OOO330_m1_src/solenv/inc/tg_merge.mk:  line 44:  
Warning: -- Duplicate target [../../unxmacxi.pro/misc/ooo/readme.xrm]
: &&     
DYLD_LIBRARY_PATH=${DYLD_LIBRARY_PATH+${DYLD_LIBRARY_PATH}:}/Volumes/EXTDisk/Build/Build
Dir/ooo_OOO330_m1_src/solver/330/unxmacxi.pro/lib xsltproc --nonet -o 
../../unxmacxi.pro/misc/UNX/README_en-US \
        --stringparam os1 MACOSX        --stringparam gui1 UNX  --stringparam com1  GCC \
        --stringparam cp1 INTEL --stringparam type text --stringparam lang1 en-US \
        ../../unxmacxi.pro/misc/readme_text.xsl ../../unxmacxi.pro/misc/ooo/readme.xrm
I/O error : Attempt to load network entity http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd
../../unxmacxi.pro/misc/ooo/readme.xrm:3: warning: failed to load external entity 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
                                                    ^
...
</html>
^
unable to parse ../../unxmacxi.pro/misc/ooo/readme.xrm
dmake:  Error code 6, while making '../../unxmacxi.pro/misc/UNX/README_en-US'
Comment 1 oliver.bolte 2010-07-19 14:54:14 UTC
Seems to be from CWS consolidatereadme in DEV300_m84
Comment 2 frank.thomas.peters 2010-07-19 15:56:09 UTC
The readme sources have been converted to XHTML (see i111721). In this case, for
the xsltproc parameter --nonet in the makefile suppresses its load from the net
(why?)

Remedies:
1) remove --nonet from parameter line
or
2) have xsltproc run with --novalid to suppress DTD loading all in all
Comment 3 rene 2010-07-19 16:22:54 UTC
fpe: because a build is supposed to also work without net connection (after you
got all the tarballs of course). Relying on a net connection is a serious bug
e.g. in Debian..

1) thus is no option
2) can be done but would violate the spirit, no? Or we "just" add a configure
check to check whether the XML Catalog has the DTD.. (No idea how, though)
Comment 4 rene 2010-07-19 17:20:01 UTC
(but note I can live with 2 if we decide to not want the new requirement and/or
can't do a configure check)
Comment 5 Martin Hollmichel 2010-07-20 15:07:12 UTC
/me is also in favour of 2)
who will change the makefile ?
Comment 6 jens-heiner.rechtien 2010-07-26 14:11:16 UTC
Workaround:

Disabled validation validation of DTD via readlicense_oo/util/makefile.pmk

Set target to 3.4, owner fpe for clarification.
Comment 7 frank.thomas.peters 2010-08-03 15:18:59 UTC
Heiner fixed this one on the master as describedin option 2 below.
Validation can be turned off permanently because xslt processor would break on
non-wellformed xml anyway.
Comment 8 frank.thomas.peters 2010-08-03 15:20:01 UTC
Assigned to submitter for verification
Comment 9 pavel 2010-08-03 16:02:29 UTC
Verified, closing.